Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.base
Class JRBaseTimePeriodSeries

    java.lang.Object
      net.sf.jasperreports.charts.base.JRBaseTimePeriodSeries

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRTimePeriodSeries, JRCloneable

Direct Known Subclasses:
  JRDesignTimePeriodSeries

    public class JRBaseTimePeriodSeries

extends java.lang.Object
implements JRTimePeriodSeries, java.io.Serializable

Version:
  $Id: JRBaseTimePeriodSeries.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Flavius Sana (flavius_sana@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRExpression` | `endDateExpression`
`protected JRHyperlink` | `itemHyperlink`
`protected JRExpression` | `labelExpression`
`protected JRExpression` | `seriesExpression`
`protected JRExpression` | `startDateExpression`
`protected JRExpression` | `valueExpression`

Constructor Summary
`protected` | `JRBaseTimePeriodSeries()`
`` | `JRBaseTimePeriodSeries(JRTimePeriodSeries timePeriodSeries, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRExpression` | `getEndDateExpression()`
`JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
`JRExpression` | `getLabelExpression()`
`JRExpression` | `getSeriesExpression()`
`JRExpression` | `getStartDateExpression()`
`JRExpression` | `getValueExpression()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### seriesExpression

    protected JRExpression seriesExpression

### startDateExpression

    protected JRExpression startDateExpression

### endDateExpression

    protected JRExpression endDateExpression

### valueExpression

    protected JRExpression valueExpression

### labelExpression

    protected JRExpression labelExpression

### itemHyperlink

    protected JRHyperlink itemHyperlink

Constructor Detail

### JRBaseTimePeriodSeries

    protected JRBaseTimePeriodSeries()

### JRBaseTimePeriodSeries

    public JRBaseTimePeriodSeries(JRTimePeriodSeries timePeriodSeries,
                                  JRBaseObjectFactory factory)

Method Detail

### getSeriesExpression

    public JRExpression getSeriesExpression()

  Specified by:
    `getSeriesExpression` in interface `JRTimePeriodSeries`

### getStartDateExpression

    public JRExpression getStartDateExpression()

  Specified by:
    `getStartDateExpression` in interface `JRTimePeriodSeries`

### getEndDateExpression

    public JRExpression getEndDateExpression()

  Specified by:
    `getEndDateExpression` in interface `JRTimePeriodSeries`

### getValueExpression

    public JRExpression getValueExpression()

  Specified by:
    `getValueExpression` in interface `JRTimePeriodSeries`

### getLabelExpression

    public JRExpression getLabelExpression()

  Specified by:
    `getLabelExpression` in interface `JRTimePeriodSeries`

### getItemHyperlink

    public JRHyperlink getItemHyperlink()

  Description copied from interface: `JRTimePeriodSeries`
  Returns the hyperlink specification for chart items.

  The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

  Specified by:
    `getItemHyperlink` in interface `JRTimePeriodSeries`
  Returns:
    hyperlink specification for chart items

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com